Bug 1245919 - USS: Take ref on root inode
Summary: USS: Take ref on root inode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.1.1
Assignee: Mohammed Rafi KC
QA Contact: Shashank Raj
URL:
Whiteboard: SNAPSHOT
Depends On: 1228520
Blocks: 1228521 1251815
TreeView+ depends on / blocked
 
Reported: 2015-07-23 06:14 UTC by Avra Sengupta
Modified: 2016-11-08 03:52 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Clone Of: 1228520
Environment:
Last Closed: 2015-10-05 07:13:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 0 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 11:06:22 UTC

Description Avra Sengupta 2015-07-23 06:14:32 UTC
+++ This bug was initially created as a clone of Bug #1228520 +++

Description of problem:

<snip from xlators/features/snapview-client/src/snapview-client.c>


       root_loc.gfid[15] = 1;
       root_loc.inode = loc->inode->table->root;
       root_loc.inode->ia_type = IA_IFDIR;
       temp_loc = &root_loc;

</snip>
It is better to take a ref on root inode in above case.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Mohammed Rafi KC on 2015-06-05 02:28:29 EDT ---

upstream patch : http://review.gluster.org/10750

Comment 2 Mohammed Rafi KC 2015-07-23 08:35:07 UTC
upstream patch : http://review.gluster.org/#/c/11094/

Comment 3 Avra Sengupta 2015-08-05 08:35:18 UTC
Patch merged upstream (http://review.gluster.org/10750)
Awaiting release 3.7 merge (http://review.gluster.org/#/c/11094/)

Comment 8 Shashank Raj 2015-09-03 06:26:42 UTC
This bug depends on the regression run for uss. So once the regression is complete without any issues, we will mark it as verified.

Comment 9 Shashank Raj 2015-09-10 13:59:54 UTC
Since USS regression is passed successfully and no major issues are seen. Hence marking this bug as Verified.

Comment 11 errata-xmlrpc 2015-10-05 07:13:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html


Note You need to log in before you can comment on or make changes to this bug.